package com.gic.haoban.manage.web.qo.content.ai;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.gic.thirdparty.cloudfile.pojo.cme.CmeExportVideo;

import java.io.Serializable;

/**
 * Created by wangzubo on 2023/10/19.
 */
public class CmeExportVideoQO extends CmeExportVideo implements Serializable {

    @JsonSerialize(
            using = ToStringSerializer.class
    )
    /**
     * 模板id主键
     */
    private Long contentTemplateId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 父级id (视频所属的分组id)
     */
    private String parentId;

    public Long getContentTemplateId() {
        return contentTemplateId;
    }

    public void setContentTemplateId(Long contentTemplateId) {
        this.contentTemplateId = contentTemplateId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }
}
